# synfig::Activepoint Struct Reference

`#include <activepoint.h>`

Inheritance diagram for synfig::Activepoint:

List of all members.

## Public Member Functions

bool | operator< (const Activepoint &rhs)
bool | operator< (const Time &rhs)
| Activepoint (const Time &time, const bool &state, int p=0)
| Activepoint ()
const Time & | get_time () const
void | set_time (const Time &x)
bool | get_state () const
void | set_state (bool x)
int | get_priority () const
void | set_priority (int x)
const etl::loose_handle < ValueNode > & | get_parent_value_node () const
void | set_parent_value_node (const etl::loose_handle< ValueNode > &x)
int | get_parent_index () const
void | set_parent_index (int x)
GUID | get_guid () const

## Public Attributes

Time | time
| Time of the activepoint.
int | priority
| Priority.
bool | state
| Does this activepoint turn the entry on, or off?

## Constructor & Destructor Documentation

synfig::Activepoint::Activepoint | ( | const Time & | time,
|  | const bool & | state,
|  | int | p = `0` |
| ) |  |  | `[inline]`

synfig::Activepoint::Activepoint | ( |  | ) | `[inline]`

Todo:
  Should priority be initialized here, or elsewhere? This avoids a valgrind warning for now.

## Member Function Documentation

bool synfig::Activepoint::operator< | ( | const Activepoint & | rhs | ) | `[inline]`

References time.

bool synfig::Activepoint::operator< | ( | const Time & | rhs | ) | `[inline]`

References time.

const Time& synfig::Activepoint::get_time | ( |  | ) | const`[inline]`

References time.

void synfig::Activepoint::set_time | ( | const Time & | x | ) | `[inline]`

References time.

bool synfig::Activepoint::get_state | ( |  | ) | const`[inline]`

References state.

void synfig::Activepoint::set_state | ( | bool | x | ) | `[inline]`

References state.

Referenced by synfig::ValueNode_DynamicList::ListEntry::new_activepoint_at_time().

int synfig::Activepoint::get_priority | ( |  | ) | const`[inline]`

References priority.

void synfig::Activepoint::set_priority | ( | int | x | ) | `[inline]`

References priority.

Referenced by synfig::ValueNode_DynamicList::ListEntry::new_activepoint_at_time().

const etl::loose_handle<ValueNode>& synfig::Activepoint::get_parent_value_node | ( |  | ) | const`[inline]`

void synfig::Activepoint::set_parent_value_node | ( | const etl::loose_handle< ValueNode > & | x | ) | `[inline]`

Referenced by synfig::ValueNode_DynamicList::ListEntry::add().

int synfig::Activepoint::get_parent_index | ( |  | ) | const`[inline]`

void synfig::Activepoint::set_parent_index | ( | int | x | ) | `[inline]`

Referenced by synfig::ValueNode_DynamicList::ListEntry::add().

synfig::GUID Activepoint::get_guid | ( |  | ) | const

References synfig::UniqueID::get_uid(), and synfig::GUID::hasher().

## Member Data Documentation

Time synfig::Activepoint::time

Time of the activepoint.

Referenced by get_time(), operator<(), and set_time().

int synfig::Activepoint::priority

Priority.

Referenced by get_priority(), and set_priority().

bool synfig::Activepoint::state

Does this activepoint turn the entry on, or off?

Referenced by get_state(), and set_state().

The documentation for this struct was generated from the following files:

- activepoint.h
- activepoint.cpp